Skip to main content
GET
/
ai
/
threads
/
{thread_id}
/
events
List thread events
curl --request GET \
  --url https://api.wacht.dev/ai/threads/{thread_id}/events \
  --cookie __session=
{
  "status": 123,
  "message": "<string>",
  "session": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "data": {
    "limit": 123,
    "has_more": true,
    "next_cursor": "<string>",
    "data": [
      {
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "deployment_id": "<string>",
        "thread_id": "<string>",
        "board_item_id": "<string>",
        "event_type": "<string>",
        "status": "<string>",
        "priority": 123,
        "payload": {},
        "available_at": "2023-11-07T05:31:56Z",
        "claimed_at": "2023-11-07T05:31:56Z",
        "completed_at": "2023-11-07T05:31:56Z",
        "failed_at": "2023-11-07T05:31:56Z",
        "caused_by_conversation_id": "<string>",
        "caused_by_run_id": "<string>",
        "caused_by_thread_id": "<string>"
      }
    ]
  }
}

Authorizations

__session
string
cookie
required

Path Parameters

thread_id
string
required

Query Parameters

limit
integer
cursor
string

Response

200 - application/json

Thread event page

status
integer
message
string
session
object
errors
object[]
data
object